package com.kym.service.miniapp;

import com.kym.entity.enplus.EnStationStatusInfo;
import com.kym.entity.miniapp.Collect;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 收藏表 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-07-31
 */
public interface CollectService extends IService<Collect> {

    void updateCollect(String stationId, Integer status);

    List<EnStationStatusInfo> getCollectList();

    List<Collect> listCollect();
}
